.signinform {
    &:not(.modal) {
        width: 100%;
        justify-content: center;
        align-items: center;
        position: absolute;
        height: 0;
        top: auto !important;
        bottom: 0 !important;
        // transform:none!important;
        display: none;
    }

    &.modal--white {
        .modal__wrapper {
            position: relative;
            height: 100vh;
        }
        .modal__inner {
            position: relative;
            width: 100%;
            height: 100%;
            // display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;

            .modal__form {
                position: relative;
                width: 50%;
                height: 100%;
                overflow: hidden;
                padding: 25px 70px 20px;

                @include max-screen($tablets) {
                    padding: 25px 50px 20px;
                }
            }
        }

        .signinform__form {
            margin: 0 auto;
            height: 100%;

            @include max-screen(1024px) {
                max-width: 560px;
            }

            @include max-screen($tablets) {
                // margin-left: 15px;
                // margin-right: 15px;
                margin-top: em(20);

                .signinform__field:last-child {
                    margin-bottom: em(40);
                }
            }
        }

        .close-navbar {
            position: absolute;
            top: 25px;
            right: 15px;
            line-height: 0;
            background-color: transparent;
            z-index: 1;

            i {
                font-size: 30px;
            }

            @include max-screen($tablets) {
                top: 0;
                right: 6px;
                z-index: 1;
            }
        }
    }

    @include max-screen($grid-ls) {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    &__form {
        width: 300px;
        max-width: 100%;
        display: flex;
        flex-wrap: wrap;
        align-content: center;
        margin: 0 auto;

        @include max-screen($grid-ls) {
            margin: auto;
        }

        @include max-screen($grid-sl) {
            width: 100%;
        }
    }

    &__header {
        color: $white;
        font-size: 24px;
        font-size: calc-rem-value(18);
        font-weight: 600;
        line-height: 1.5;
        margin-bottom: 12px;
        margin-top: 30px;
        text-align: center;
        width: 100%;

        @include max-screen($grid-sl) {
            margin-bottom: 10px;
            width: 100%;
        }
    }

    &__wrapper {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: baseline;
    }

    &__field {
        width: 100%;
        text-align: left;
        margin-bottom: calc-rem-value(15);

        &:last-of-type {
            margin-bottom: 0;
        }

        &:last-child {
            margin-bottom: 0;
        }

        &--right {
            text-align: right;
            color: #fff;
        }

        input:not([type="radio"]),
        input:not([type="checkbox"]),
        input:not([type="submit"]),
        textarea {
            color: $black;
            font-size: 14px;
            font-size: calc-rem-value(14);
            line-height: 1.6;
            font-weight: 400;
            letter-spacing: 0.2px;
            padding: 5px 22px;
            border: 0;
            display: block;
            width: 100%;
            background-color: $white;
            transition: 0.2s;

            &::placeholder {
                color: rgba($black, 0.3);
            }

            &:hover {
            }

            &:focus {
            }
        }

        textarea {
            resize: none;
            height: 9em;
        }
    }

    input.btn {
        width: auto;
        line-height: 1.6;
        display: inline-block;
        padding: 5px 22px !important;
        background-color: $primary !important;
        color: $white !important;
    }
}

.popup {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0 auto;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    visibility: hidden;
    opacity: 0;
    transform: translateY(110%);
    transition: 0.3s;

    &--active {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }
}
